RNSsystem< RING, Domain > Class Template Reference

class RNSsystem. More...

`#include <givrns.h>`

Collaboration diagram for RNSsystem< RING, Domain >:
[legend]

## Public Member Functions

const array & | Reciprocals () const
| – Returns an array of the reciprocal

## Detailed Description

template<class RING, class Domain>
class Givaro::RNSsystem< RING, Domain >

class RNSsystem.

Structure which manages list of domains in order to convert integer to/from RNS number system using a mixed radix form. This class is parameterized by the type of `RING` and of `Domain`. The ring should have:

- Ring( Modulo ) and Domain.init(Ring) conversions
- operator *= (Ring&, const Modulo&)
- operator += (Ring&, const Modulo&)

The documentation for this class was generated from the following files:

- givrns.h
- givrnsconvert.inl
- givrnscstor.inl